# 32/64 spec
#
Summary:	Desktop common files
Name:		desktop-common-data
Version:	2010
Release: 	%mkrel 17
License:	GPL
URL:		http://www.pclinuxos.com/
Group:		System/Configuration/Other
Source:		%{name}-%{version}.tar.bz2
Source1:	pclinuxos-16.png
Source2:	pclinuxos-32.png
Source3:	pclinuxos-48.png
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires:	intltool
BuildRequires:  pclinuxos-menu-messages
BuildRequires:  gettext
Requires:	xinitrc
Obsoletes:	mandrake_desk < %version-%release
Provides:	mandrake_desk = %version-%release
Obsoletes:	menu-xdg < %version-%release
Provides:	menu-xdg = %version-%release
Obsoletes:	menu < 2.1.24
Provides:	menu = 2.1.24
Provides:	pclinuxos_desk

%description
This package contains useful icons, menu structure and others goodies for the
PCLinuxOS desktop.

%prep

%setup -q
find . -type 'd' -name 'CVS' | xargs rm -fr

%install
rm -rf %buildroot

## Install backgrounds
# User & root's backgrounds
#install -d -m 0755 %buildroot/%_datadir/mdk/backgrounds/
#install -m 0644 backgrounds/flower.jpg %buildroot/%_datadir/mdk/backgrounds/
#install -m 0644 backgrounds/nature.jpg %buildroot/%_datadir/mdk/backgrounds/

# XFdrake test card
install -d -m 0755 %buildroot/%_datadir/mdk/xfdrake/
install -m 0644 backgrounds/xfdrake-test-card.png %buildroot/%_datadir/mdk/xfdrake/xfdrake-test-card.png


## Install scripts
# /usr/bin/
install -d -m 0755 %buildroot/%_bindir/
for i in bin/*.sh ; do install -m 0755 $i %buildroot/%_bindir/ ; done
install -m 0755 bin/www-browser %buildroot/%_bindir/
install -m 0755 bin/xvt %buildroot/%_bindir/

# /usr/sbin/
install -d -m 0755 %buildroot/%_sbindir/
for i in sbin/* ; do install -m 0755 $i %buildroot/%_sbindir/ ; done

# /etc/X11/xinit.d/
install -d -m 0755 %buildroot/%_sysconfdir/X11/xinit.d/
for i in xinit.d/* ; do install -m 0755 $i %buildroot/%_sysconfdir/X11/xinit.d/ ; done


## Install faces
install -d -m 0755 %buildroot/%_datadir/mdk/faces/
for i in faces/*.png ; do install -m 0644 $i %buildroot/%_datadir/mdk/faces/ ; done
		
#ln -s %_datadir/mdk/faces %buildroot/%_datadir/faces 

## KDE
# kdm
install -d -m 0755 %buildroot/%_datadir/apps/kdm/pics/
install -m 0644 kde/kdm-mdk-logo.png %buildroot/%_datadir/apps/kdm/pics/



## icons
install -d -m 0755 %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 0644 menu/icons/*.png %buildroot/%_iconsdir
install -m 0644 menu/icons/large/*.png %buildroot/%_liconsdir
install -m 0644 menu/icons/mini/*.png %buildroot/%_miconsdir

# XDG menus
install -d -m 0755 %buildroot/%_sysconfdir/xdg/menus/applications-merged
install -d -m 0755 %buildroot/%_sysconfdir/menu.d %buildroot/%_sysconfdir/profile.d
install -m 0644 menu/applications-mdk.menu %buildroot/%_sysconfdir/xdg/menus/applications.menu
install -m 0755 menu/xdg_menu %buildroot/%_bindir
install -m 0755 menu/update-menus %buildroot/%_bindir/update-menus
install -m 0755 menu/menustyle.sh menu/menustyle.csh %buildroot/%_sysconfdir/profile.d

install -d -m 0755 %buildroot/%_datadir/desktop-directories
mkdir tmp-l10n
for i in %_datadir/locale/*/LC_MESSAGES/menu-messages.mo ; do
 msgunfmt $i > tmp-l10n/`echo $i | sed -e 's|%{_datadir}/locale/||' -e 's|/LC.*||'`.po
done

install -d -m 0755 %buildroot/%_var/lib/menu
 
for i in menu/desktop-directories/*.in ; do
 %{_bindir}/intltool-merge --desktop-style -c tmp-l10n/cache tmp-l10n $i %buildroot/%_datadir/desktop-directories/`basename $i .in` 
done


#install theme for GDM/KDM
#install -d -m 0755 %buildroot/%_datadir/mdk/dm
#for i in dm/*.png dm/*.desktop dm/*.xml ; do 
#  install -m 0644 $i %buildroot/%_datadir/mdk/dm/
#done

install -m 0644 %SOURCE1 %buildroot/%_miconsdir/pclinuxos.png
install -m 0644 %SOURCE2 %buildroot/%_iconsdir/pclinuxos.png
install -m 0644 %SOURCE3 %buildroot/%_liconsdir/pclinuxos.png


%pre
echo "%%_install_langs _:aa_DJ:aa_ER:aa_ET:af:af_ZA:am:am_ET:an:an_ES:ar:ar_AE:ar_BH:ar_DZ:ar_EG:ar_IN:ar_IQ:ar_JO:ar_KW:ar_LB:ar_LY:ar_MA:ar_OM:ar_QA:ar_SA:ar_SD:ar_SY:ar_TN:ar_YE:as:as_IN:az:az_AZ:be:be_BY:ber_DZ:ber_MA:bg:bg_BG:bn_BD:bn_IN:bo_CN:bo_IN:br:br_FR:bs:bs_BA:byn:byn_ER:ca:ca_AD:ca_ES:ca_FR:ca_IT:cs:cs_CZ:csb_PL:cy:cy_GB:da:da_DK:de:de_AT:de_BE:de_CH:de_DE:de_LU:dz:dz_BT:el:el_CY:el_GR:en:en_AG:en_AU:en_BE:en_BW:en_CA:en_DK:en_GB:en_HK:en_IE:en_IN:en_NG:en_NZ:en_PH:en_SG:en_US:en_ZA:en_ZW:eo:eo_XX:es:es_AR:es_BO:es_CL:es_CO:es_CR:es_DO:es_EC:es_ES:es_GT:es_HN:es_MX:es_NI:es_PA:es_PE:es_PR:es_PY:es_SV:es_US:es_UY:es_VE:et:et_EE:eu:eu_ES:fa:fa_IR:fi:fi_FI:fil:fil_PH:fo:fo_FO:fr:fr_BE:fr_CA:fr_CH:fr_FR:fr_LU:fur:fur_IT:fy:fy_DE:fy_NL:ga:ga_IE:gd:gd_GB:gez:gez_ER:gez_ET:gl:gl_ES:gu:gu_IN:gv:gv_GB:ha:ha_NG:hi:hi_IN:hne_IN:hr:hr_HR:hsb:hsb_DE:ht_HT:hu:hu_HU:hy:hy_AM:id:id_ID:ig:ig_NG:ik:ik_CA:is:is_IS:it:it_CH:it_IT:iu:iu_CA:ja:ja_JP:ka:ka_GE:kk:kk_KZ:kl:kl_GL:km:km_KH:kn:kn_IN:ko:ko_KR:ks_IN:ku:ku_TR:kw:kw_GB:ky:ky_KG:lg:lg_UG:li:li_BE:li_NL:lo:lo_LA:lt:lt_LT:lv:lv_LV:mg:mg_MG:mi:mi_NZ:mk:mk_MK:ml:ml_IN:mn:mn_MN:mr:mr_IN:ms:ms_MY:mt:mt_MT:nan_TW:nb:nb_NO:nds:nds_DE:nds_NL:ne:ne_NP:nl:nl_AW:nl_BE:nl_NL:nn:nn_NO:no:no_NO:nr:nr_ZA:nso:nso_ZA:oc:oc_FR:om:om_ET:om_KE:or_IN:pa:pa_IN:pa_PK:pap:pap_AN:ph:ph_PH:pl:pl_PL:pt:pt_BR:pt_PT:ro:ro_RO:ru:ru_RU:ru_UA:rw:rw_RW:sc:sc_IT:sd_IN:se:se_NO:shs_CA:si:si_LK:sid:sid_ET:sk:sk_SK:sl:sl_SI:so_DJ:so_ET:so_KE:so_SO:sq:sq_AL:sr_ME:sr_RS:ss:ss_ZA:st:st_ZA:sv:sv_FI:sv_SE:sw_XX:ta:ta_IN:te:te_IN:tg:tg_TJ:th:th_TH:ti:ti_ER:ti_ET:tig:tig_ER:tk:tk_TM:tl:tl_PH:tn:tn_ZA:tr:tr_CY:tr_TR:ts:ts_ZA:tt:tt_RU:ug:ug_CN:uk:uk_UA:ur:ur_PK:uz:uz_UZ:ve:ve_ZA:vi:vi_VN:wa:wa_BE:wal:wal_ET:xh:xh_ZA:yi:yi_US:yo:yo_NG:zh:zh_CN:zh_HK:zh_SG:zh_TW:zu:zu_ZA" >/etc/rpm/macros

%post
if [ -f %_sysconfdir/X11/window-managers.rpmsave ];then
	%_sbindir/convertsession -f %_sysconfdir/X11/window-managers.rpmsave || :
fi

%make_session

rm -rf /usr/share/faces
ln -fs /usr/share/mdk/faces /usr/share/faces


%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%_bindir/*
%_sbindir/*
%_sysconfdir/X11/xinit.d/*
%_sysconfdir/profile.d/*
%dir %_sysconfdir/menu.d
%dir %_sysconfdir/xdg
%dir %_sysconfdir/xdg/menus
%dir %_sysconfdir/xdg/menus/applications-merged
%dir %_var/lib/menu
/etc/xdg/menus/applications.menu
#
%dir %_datadir/mdk/
%dir %_datadir/mdk/faces/
%_datadir/mdk/faces/*
#
#%dir %_datadir/mdk/backgrounds/
#%_datadir/mdk/backgrounds/*.jpg
#
%dir %_datadir/apps/kdm/pics/
%_datadir/apps/kdm/pics/*
#
%dir %_datadir/mdk/xfdrake/
%_datadir/mdk/xfdrake/*.png
#

#%_datadir/mdk/dm
#
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%_datadir/desktop-directories/*.directory


%changelog
* Fri Nov 28 2024 adrianomorselli <dev@ufficiozero.org> 2010-16ufficiozero2024
- rebuild for uzl

* Sat Nov 02 2013 billybot <billybot> 2010-15pclos2013
- really fix to display Category Network in menu

* Mon Sep 16 2013 pinoc <vogtpet at gmail.com> 2010-14pclos2013
- fix to display Category Network in menu

* Sun Mar 28 2010 Texstar <texstar at gmail.com> 2010-13pclos2010
- fix menu kde4init bug

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 2010-12pclos2010
- change packaging to software section

* Sun Mar 07 2010 Texstar <texstar at gmail.com> 2010-11pclos2010
- add pre to fix /etc/rpm/macros

* Sun Mar 07 2010 Texstar <texstar at gmail.com> 2010-10pclos2010
- fix menu translation

* Tue Feb 23 2010 Texstar <texstar at gmail.com> 2010-9pclos2010
- exclude old discovery menu system

* Tue Feb 23 2010 Texstar <texstar at gmail.com> 2010-8pclos2010
- reduce faces to a smaller image for finish-install

* Wed Feb 17 2010 Texstar <texstar at gmail.com> 2010-7pclos2010
- fix menu for gnome xfce and lxde

* Mon Feb 15 2010 Texstar <texstar at gmail.com> 2010-6pclos2010
- fix faces

* Sun Feb 14 2010 Texstar <texstar at gmail.com> 2010-5pclos2010
- update

* Sun Feb 07 2010 Texstar <texstar at gmail.com> 2010-4pclos2010
- new icons for faces

* Sun Feb 07 2010 Texstar <texstar at gmail.com> 2010-3pclos2010
- fix faces folder symlink

* Sat Feb 06 2010 Texstar <texstar at gmail.com> 2010-2pclos2010
- add icon for plymouth splashes

* Fri Feb 05 2010 Texstar <texstar at gmail.com> 2010-1plcos2010
- update for 2010 release

